function conKst=GetConvKst(Trn_drug_list,Trn_ppi_list,Tst_drug_list,Tst_ppi_list,sim_drug,sim_pro,protein_list,targetPPI_list)

% this procedure is to reture convolution kernel of drug-PPI pairs for
% testing

m=length(Trn_drug_list);
n=length(Tst_drug_list);
Kst=zeros(n,m);

for i=1:n
    for j=1:m
        A=targetPPI_list(Tst_ppi_list(i),:);
        p1=find(protein_list==A(1));
        p2=find(protein_list==A(2));
        B=targetPPI_list(Trn_ppi_list(j),:);
        q1=find(protein_list==B(1));
        q2=find(protein_list==B(2));
        a=sim_drug(Tst_drug_list(i),Trn_drug_list(j))*sim_pro(p1,q1);
        b=sim_drug(Tst_drug_list(i),Trn_drug_list(j))*sim_pro(p1,q2);
        c=sim_drug(Tst_drug_list(i),Trn_drug_list(j))*sim_pro(p2,q1);
        d=sim_drug(Tst_drug_list(i),Trn_drug_list(j))*sim_pro(p2,q2);
        Kst(i,j)=max([a,b,c,d]);
        %Kst(i,j)=sum([a,b,c,d]);
        clear A;
        clear B;
    end
end

conKst=Kst;